Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
backblaze b2 aur python3
From 4ce9e12e82f70ff45ec13bf3c0517adbd5bbc73b Mon Sep 17 00:00:00 2001
From: Yaron de Leeuw <me@jarondl.net>
Date: Sat, 23 Feb 2019 10:54:02 -0500
Subject: [PATCH] Make backblaze-b2 use python3 instead of python2
---
.SRCINFO | 17 +++++++----------
PKGBUILD | 20 +++++++++-----------
2 files changed, 16 insertions(+), 21 deletions(-)
diff --git a/.SRCINFO b/.SRCINFO
index 734ea20..c5af350 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,16 @@
-# Generated by mksrcinfo v8
-# Sun Dec 16 21:59:59 UTC 2018
pkgbase = backblaze-b2
pkgdesc = Backblaze B2 Command Line Client
pkgver = 1.3.8
- pkgrel = 1
+ pkgrel = 2
url = https://www.backblaze.com/b2/cloud-storage.html
arch = any
license = MIT
- depends = python2>=2.7
- depends = python2-arrow>=0.8.0
- depends = python2-logfury>=0.1.2
- depends = python2-requests>=2.9.1
- depends = python2-tqdm>=4.5.0
- depends = python2-six>=1.10
- depends = python2-futures>=3.0.5
+ depends = python
+ depends = python-arrow>=0.8.0
+ depends = python-logfury>=0.1.2
+ depends = python-requests>=2.9.1
+ depends = python-tqdm>=4.5.0
+ depends = python-six>=1.10
source = https://github.com/Backblaze/B2_Command_Line_Tool/archive/v1.3.8.tar.gz
sha512sums = 9c7bac5760693d4b6927db1b040896fd75b8f09072363a60d6201f97f88e2288d5c7f5b62afc69b62f5c9f910eddd5be38a97eeb9c3e29f5c9dc3be089a560d7
diff --git a/PKGBUILD b/PKGBUILD
index 2456d6d..20f7d6e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,16 +1,15 @@
# Maintainer: Kyle Manna <kyle[at]kylemanna[d0t]com>
pkgname=backblaze-b2
pkgver=1.3.8
-pkgrel=1
+pkgrel=2
pkgdesc="Backblaze B2 Command Line Client"
url="https://www.backblaze.com/b2/cloud-storage.html"
-depends=('python2>=2.7'
- 'python2-arrow>=0.8.0'
- 'python2-logfury>=0.1.2'
- 'python2-requests>=2.9.1'
- 'python2-tqdm>=4.5.0'
- 'python2-six>=1.10'
- 'python2-futures>=3.0.5'
+depends=('python'
+ 'python-arrow>=0.8.0'
+ 'python-logfury>=0.1.2'
+ 'python-requests>=2.9.1'
+ 'python-tqdm>=4.5.0'
+ 'python-six>=1.10'
)
optdepends=()
# MIT or Creative Commons: https://www.backblaze.com/using_b2_code.html
@@ -24,13 +23,12 @@ sha512sums=('9c7bac5760693d4b6927db1b040896fd75b8f09072363a60d6201f97f88e2288d5c
build() {
cd ${srcdir}/B2_Command_Line_Tool-${pkgver}
sed -i -e 's:^\(arrow.*\),<0.12.1:\1:' requirements.txt
- python2 setup.py build
+ python setup.py build
}
package() {
cd ${srcdir}/B2_Command_Line_Tool-${pkgver}
- python2 setup.py build
- python2 setup.py install --root="$pkgdir" --optimize=1
+ python setup.py install --root="$pkgdir" --optimize=1 --skip-build
# https://wiki.archlinux.org/index.php/Python_package_guidelines
rm -rf ${pkgdir}/usr/lib/python*/site-packages/tests/
--
2.20.1
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.